#!/bin/bash
#include <unistd.h>

# Synchroniser des répertoires à distance de façon automatique
# (c) Linutop 2018

attribut=1;

while [ $attribut!=0 ]

do

#Voici la commande permettant de transférer les données d'un répertoire

#rsync --delete -avz -e ssh /chemin/vers/source user@adresse_ip:/chemin/vers/cible

#voici un exemple concret :

#Ip de la machine 1 : 192.168.100.25
#Ip de la machine 2 : 192.168.100.36

#nom du répertoire a synchroniser : synchro_display

rsync --delete -avz -e ssh /home/linutop/Desktop/synchro_display linutop@192.168.100.36:/home/linutop/Desktop 

#Afin d'éviter d'entrer un mot de passe entre les machines distantes
ssh-copy-id -i linutop@192.168.100.36

sleep 8;

done;

